<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Лавка';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/top.php');
}
switch($_GET[mod]){
default:
?><br/>
<center><p class="name"><b>Лавка</b></p></center>
<div class='npc_title'><img src="img/lavka_syslova.png"  width="50%"></img> 
</div><div class='npc_border'></div><div class='npc_title'><span class="bonus">Лами:</span>
<p><span class="net">- Приветствую тебя сталкер, что хотел то?</span></div><div class='npc_border'></div>
<div class="foot"><a class="foot" href="?mod=snr">
<img src="img/ico/link.png" width="12" height="12"/></img>Купить снаряжение</a> </div>
<br/><div class="foot">
<a class="foot" href="?mod=med">
<img src="img/ico/link.png" width="12" height="12"/></img>Отовариться медикаментами</a> </div>
<br/>
<div class="foot">
<a class="foot" href="baza_chn.php">
<img src="img/ico/left.png" width="12" height="12"/></img>Нет, ничего.</a></div> 
<?php
break;
case'med':
echo"<br/><p class='name'><b>Торговец</b></p><div class='npc_title'>
<img src='img/ico/syslov.png' width='18' height='18' style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Лами</b></br>
		<b>Ранг:</b>Кочевик<br/>
		<b>Расса:</b> Торговец<br/>
</div>
<div class='npc_border'></div>";
 if(!empty($_GET['err'])) {?>
   <?php if ($_GET['err']==1) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>Недостаточно средств</div>";}?>
   <?php if ($_GET['err']==2) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #64B02C;background-color:#009933'>Куплено $_GET[tov] товаров на сумму $_GET[cena] хабара</div>";}?>
   <?php if ($_GET['err']==3) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #64B02C;background-color:#009933'>Медикаменты успешно проданы</div>";}?>
    <?php }
else{echo'<div class="npc_title"><p class="net">Смотри- выбирай, какие медикаменты интересуют?</p></div>';}
echo'<div class="npc_border"></div>';
if(empty($_GET['id'])) {
echo'<div class="inoy">';
$query_us = "Select * from medicaments";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($row= mysqli_fetch_array($result_us)) {
echo'<a href="?mod=med&id='.$row[id].'"><img src="/img/medic/'.$row[icon].'" align="left" width="20" height="20" alt=""><span style=color:#007F46>'.$row[name].'</span></a>';
}
echo'</div><p><a href="syslov.php" class="prof"><img src="img/ico/left.png" alt="."/> Назад</a></p>';
}
$query = "Select * from `medicaments` WHERE `id` = '$_GET[id]'  LIMIT 1";
$for= mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$avto = mysqli_num_rows($for);
if($avto!=0){
if (isset($_GET['id']) && is_numeric($_GET['id']) && $_GET['id']!=NULL && $_GET['id']>0){
$id=$dbc->query("SELECT * from medicaments where id=$_GET[id]")->fetch_assoc();
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * from users where id='$user_id'")->fetch_assoc();
if($user['doktor']>0){
$doktor=$id['cena']*0.02*$user[doktor];
$newcena=$id[cena]-$doktor;
}
}
echo"</p><img src='/img/medic/".$id['icon']."' align='left' width='30' height='30' alt='' style='margin-right:3px;border:1px solid #383838'><div style=color:#126478;font-size:15px;margin:12px;>".$id['name']."</div></b><p>
Цена: ".$id['cena']." серебра";
if($user[doktor]>0){echo'<p><span class="bonus">Для вас '.$newcena.' серебра</span>';}
echo"<p class='zx'></p><span style=color:#326F60;>Описание:</span><br/><span style=color:#7E7143;>".$id['opis']."</span><p>
<span style=color:#326F60;>Масса:</span><br/><span style=color:red>".$id['massa']." кг</span><br/><br/>
<font color=#41728B><b>Купить:</b></font></p>
<form action='?mod=pokup&id=".$id['id']." ' method='POST'>
<select style='width:48%; height:25px;' name='medic' class='input'>
<option value='1'>1 штуку</option>
<option value='5'>5 штук</option>
<option value='10'>10 штук</option>
<option value='20'>20 штук</option>
<option value='30'>30 штук</option>
<option value='40'>40 штук</option>
<option value='50'>50 штук</option>
<option value='100'>100 штук</option>
</select><br/>
<input class='label' style='width:30%;' type='submit' value='Купить' /></form>";
echo'<p><a href="syslov.php?mod=med" class="prof"><img src="img/ico/left.png" alt="."/> Назад</a></p>';
}
break;
case'prmedic':
echo'<br/><center><p class="name">Торговец</p></center>
<p><img src="img/ico/syslov.png"  width="110" height="170"/></p>
<div class="zx"><p><p class="net">Выкладывай что у тебя есть!</p></div>';
echo'</p><a class="prof" href="?mod=med">Купить</a>';	
break;
case'pokup':
$med_id=$user_id=abs(intval($_GET['id']));
$id=$dbc->query("SELECT * from medicaments where id=$med_id")->fetch_assoc();
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * from users where id='$user_id'")->fetch_assoc();
$sumk=abs(intval($_POST['medic']));
if($user['doktor']>0){
$doktor=$id['cena']*0.02*$user[doktor];
$sum=$id['cena']-$doktor*$sumk;
}
else{
$sum=$id['cena']*$sumk;}
$medic=$id['namest'];
if($sum>$user[habar]){header ('Location: ?mod=med&err=1');
exit();
}
$pdo->exec("update users set habar=habar-'$sum', $medic=$medic+'$sumk'  where id = '$user_id' limit 1");
header ('Location: ?mod=med&err=2&tov='.$sumk.'&cena='.$sum.'');
break;
case'snr':
$user_id = abs(intval($_SESSION['id']));
  $query = "Select * from users where id = '$user_id'";
  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
  $row = mysqli_fetch_array($result);
  $money = $row['money'];
  $vip = $row['vip'];
  $habar = $row['habar'];
  $lvl = $row['lvl'];
$type = abs(intval($_GET['type']));

  if ($type <> 1 and $type <> 2 and $type <> 3 and $type <> 4 and $type <> 5 and $type <> 6) {
    if ($lvl >=21) {$type = 4;}
    if ($lvl >12 and $lvl <21) {$type = 3;}
    if ($lvl >=3 and $lvl <12 ) {$type = 2;}
    if ($lvl <3) {$type = 1;}
  }
echo"<br/><p class='name'><b>Торговец</b></p><div class='npc_title'>
<img src='img/ico/syslov.png' style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Лами</b></br>
		<b>Ранг:</b>Кочевик<br/>
		<b>Расса:</b> Торговец<br/>
</div>
<div class='npc_border'></div>";
?><div class="npc_title"><p class="net">Вот все снаряжение, которое у меня имеется...</p></div><div class="npc_border"></div>
<div class="npc_title"><p><?php
   if ($type == 1) {?> <img src="img/ico/class1.png" width="12" height="12"/>Новичок <?php }else{?>[<a  href="syslov.php?mod=snr&type=1">Новичок</a>]<?php
} if ($type == 2) {?> <img src="img/ico/class2.png" width="12" height="12"/>Опытный <?php }else{?>[<a  href="syslov.php?mod=snr&type=2">Опытный</a>]<?php
} if ($type == 3) {?> <img src="img/ico/class3.png" width="12" height="12"/>Ветеран <?php }else{?>[<a  href="syslov.php?mod=snr&type=3">Ветеран</a>]<?php
} if ($type == 4) {?> <img src="img/ico/class4.png" width="12" height="12"/>Легенда <?php }else{?>[<a  href="syslov.php?mod=snr&type=4">Легенда</a>]<?php
}?></div>
  <?php 
  echo'<center><p class="name">Одежда</p></center><div class="npc_text">';
	$query_c = "Select * from clothes where klass = '$type'";
    $result_c = mysqli_query($dbc, $query_c) or die ('Ошибка передачи запроса к БД');
    while ($row_cl = mysqli_fetch_array($result_c)) {
?><img src='/img/clothes/<?php echo $row_cl['screen'];?>' width='55' height='55' style='float:left;padding-right:5px' />
<a href="sale_thing.php?thing=<?php echo $row_cl['clothes_id'];?>&type=1" style='color:#aaa'><b> <?php echo $row_cl['name'];?> </b></a> <?php
if($row_cl['lvl_need']>=$row['lvl']){echo'  (<span class="red">'.$row_cl[lvl_need].'</span> ур)</a></p>';}
else{echo'  (<span class="bonus">'.$row_cl[lvl_need].'</span> ур)</a></p>';}?>
Цена:
 <?php $pr=0; if ($row_cl['price_hab'] >=0) { $pr=1;?>[<img src="img/ico/materials.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price_hab'];?></span>]<?php 
}if ($row_cl['price'] >=0) {$pr=1;?>[<img src="img/ico/money.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price'];?></span>]<?php
}if ($pr==0) {?>[не продаётся, но можно купить у админа]<?php }?>
<br/><a href="sale_thing.php?thing=<?php echo $row_cl['clothes_id'];?>&type=1" style='color:#ebb614'><b>Купить</b></a>
<div  style='border-bottom:2px dotted #222;padding:2px;'></div>
<div class='page_foot'></div><?php
}////////////////////Конец одежде.

	////////////////////Пистолет
  echo'</div><p class="name">Мечи</p><div class="npc_text">';
	$query_c = "Select * from pistols where klass = '$type'";
    $result_c = mysqli_query($dbc, $query_c) or die ('Ошибка передачи запроса к БД');
    while ($row_cl = mysqli_fetch_array($result_c)) {
?><img src='/img/weapons/<?php echo $row_cl['screen'];?>' width='70'  height='55'  style='float:left;padding-right:5px' />
<a href="sale_thing.php?thing=<?php echo $row_cl['pistols_id'];?>&type=2" style='color:#aaa'><b> <?php echo $row_cl['name'];?> </b></a><?php
if($row_cl['lvl_need']>=$row['lvl']){echo'  (<span class="red">'.$row_cl[lvl_need].'</span> ур)</a></p>';}
else{echo'  (<span class="bonus">'.$row_cl[lvl_need].'</span> ур)</a></p>';}?>
Цена: 
<?php $pr=0; if ($row_cl['price_hab'] >=0) { $pr=1;?>[<img src="img/ico/materials.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price_hab'];?></span>]<?php 
}if ($row_cl['price'] >=0) {$pr=1;?>[<img src="img/ico/money.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price'];?></span>]<?php
}if ($pr==0) {?>[не продаётся, но можно купить у админа]<?php }?>
<br/>
<a href="sale_thing.php?thing=<?php echo $row_cl['pistols_id'];?>&type=2" style='color:#ebb614'><b>Купить</b></a>
<div  style='border-bottom:2px dotted #222;padding:2px;'></div>
<div class='page_foot'></div><?php

}////////////////////////////////////////////////////Конец пистолетам
//////////////////////Автоматы
   echo'</div><p class="name">Топоры</p><div class="npc_text">';
	$query_c = "Select * from weapons where klass = '$type'  order by max_stats_yron ASC";
    $result_c = mysqli_query($dbc, $query_c) or die ('Ошибка передачи запроса к БД');
    while ($row_cl = mysqli_fetch_array($result_c)) {
?><img src='/img/weapons/<?php echo $row_cl['screen'];?>' width='70'  height='55'  style='float:left;padding-right:5px' />
<a href="sale_thing.php?thing=<?php echo $row_cl['weapons_id'];?>&type=3" style='color:#aaa'><b> <?php echo $row_cl['name'];?> </b></a> <?php
if($row_cl['lvl_need']>=$row['lvl']){echo'  (<span class="red">'.$row_cl[lvl_need].'</span> ур)</a></p>';}
else{echo'  (<span class="bonus">'.$row_cl[lvl_need].'</span> ур)</a></p>';}?>
Цена: <?php $pr=0; if ($row_cl['price_hab'] >=0) { $pr=1;?>[<img src="img/ico/materials.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price_hab'];?></span>]<?php 
}if ($row_cl['price'] >=0) {$pr=1;?>[<img src="img/ico/money.png" width="12" height="12"/> <span class="white"><?php echo $row_cl['price'];?></span>]<?php
}if ($pr==0) {?>[не продаётся, но можно купить у админа]<?php }?>
<br/><a href="sale_thing.php?thing=<?php echo $row_cl['weapons_id'];?>&type=3" style='color:#ebb614'><b>Купить</b></a>
<div  style='border-bottom:2px dotted #222;padding:2px;'></div>
<div class='page_foot'></div><?php	}
echo'</div>';
	$query_c = "Select name,shlem_id,price, price_hab,lvl_need,screen,klass from shlem where klass = '$type'";
    $result_c = mysqli_query($dbc, $query_c) or die ('Ошибка передачи запроса к БД');
    while ($row_cl = mysqli_fetch_array($result_c)) {
?><a  style="text-decoration:none;" href="sale_thing.php?thing=<?php echo $row_cl['shlem_id'];?>&type=4"><font color=#316F6F><b><?php echo $row_cl['name'];?></b></font><?php
if($row_cl['lvl_need']>=$row['lvl']){echo'  (<span class="bonus">'.$row_cl[lvl_need].'</span> ур)</a></p>';}
else{echo'  (<span class="red">'.$row_cl[lvl_need].'</span> ур)</a></p>';}
	}
	
	////////////////////конец шлемам
    ?>
  <div class="r2"><a style="text-decoration:none;" href="syslov.php" ><img src="img/ico/left.png" alt="."/>Назад</a></div>

<?php
}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);

?>
</body>
</html>